> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apipaymentsvouchers validate



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/payments/vouchers/{code}/validate
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/payments/vouchers/{code}/validate:
    get:
      tags:
        - payments
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: code
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - type: object
                        properties:
                          isCode:
                            type: boolean
                        required:
                          - isCode
                      - type: object
                        properties:
                          isCode:
                            type: boolean
                          payload:
                            oneOf:
                              - $ref: '#/components/schemas/VoucherValid'
                              - $ref: '#/components/schemas/VoucherInvalid'
                        required:
                          - isCode
                          - payload
                required:
                  - data
components:
  schemas:
    VoucherValid:
      type: object
      properties:
        valid:
          type: boolean
        code:
          type: string
        balance:
          type: number
        statusCode:
          type: number
      required:
        - valid
        - code
        - balance
        - statusCode
    VoucherInvalid:
      type: object
      properties:
        valid:
          type: boolean
        code:
          type: string
        message:
          type: string
        statusCode:
          type: number
      required:
        - valid
        - code
        - message
        - statusCode

````